curl --request GET \
--url https://api.byblend.com/api/v1/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.byblend.com/api/v1/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.byblend.com/api/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"address": {
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"address_1": "140 Lindgren Streets",
"address_2": "Apt 227",
"city": "North Consueloburgh",
"state": "CA",
"country": "US",
"type": "shipping",
"zip_code": "02108"
},
"custom_shipping": {
"label_url": "https://example.com/label.pdf",
"tracking_number": "TEST123456",
"tracking_url": "https://example.com/track/TEST123456",
"carrier": "UPS"
},
"customer_id": "b658f16f-819c-4503-aede-bd555fc4ebfb",
"external_id": "my-system-128318AA2",
"is_replacement": false,
"order_number": "ORD250312003548IAU4",
"original_order_id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"patient": {
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"first_name": "Willard",
"middle_name": "Moises",
"last_name": "Donnelly",
"gender": "male",
"email": "Harmon43@gmail.com",
"phone": "6417383445",
"date_of_birth": "1990-01-01",
"driver_license_number": "B49188319",
"driver_license_state": "CA",
"ssn": "123456789",
"primary_language": "en",
"guardian_name": "John Guardian",
"guardian_phone": "6417383445",
"guardian_email": "parent@example.com",
"guardian_relationship": "parent",
"height_inches": 72,
"weight_pounds": 180,
"external_id": "1234567890",
"is_smoker": false,
"is_diabetic": false,
"is_pregnant": false,
"receive_sms": true,
"receive_email": true,
"address": {
"address_1": "140 Lindgren Streets",
"city": "North Consueloburgh",
"state": "CA",
"zip_code": "02108",
"address_2": "Apt 227",
"country": "US"
}
},
"prescription_count": 1,
"priority_requested": false,
"cancellation_requested": false,
"replacement_order_ids": [
"0227d1e5-ba9a-42b5-8fe2-38882aa65708"
],
"replacement_reason": "Product arrived damaged",
"replacement_requested": false,
"replacement_request_status": "pending",
"replacement_requested_at": "2025-01-01T00:00:00Z",
"replacement_requested_reason": "Product arrived damaged",
"shipments": [
{
"carrier": "USPS",
"created_at": "2026-04-17T18:31:05.175498",
"delivered_at": "2026-04-17T18:31:05.175498",
"id": "0239CA06-9A71-4FFE-8A8D-5403540A19E7",
"service_level": "Ground Advantage",
"status": "shipped",
"tracking_number": "9200190347375200467807",
"tracking_url": "https://tools.usps.com/go/TrackConfirmAction_input?origTrackNum=9200190347375200467807"
}
],
"shipping": {
"carrier": "usps",
"service_level": "usps_ground_advantage",
"signature_confirmation": "standard"
},
"status": "received",
"paused_until": "2026-08-07T00:00:00"
}
]Get orders
Retrieve all orders. This endpoint returns paginated responses.
Details on pagination are returned in response headers.
X-Total-Count: total number of items availableX-Page: current page numberX-Page-Size: number of items per pageX-Total-Pages: total number of pages availableX-Remaining-Count: number of items remaining after the current page
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number for pagination
1
Number of items per page; defaults to 25, max of 200
25
Filter orders by whether they have prescription products that are not (yet) associated with a prescription. The has_unmatched_prescriptions=true will return only orders with un-prescribed products.
true
Filter orders by status; comma-separate multiple values to return orders of various statuses
"picked,verified"
Response
Successful response with an array of orders. Details on pagination are returned in response headers.
Unique identifier
"0227d1e5-ba9a-42b5-8fe2-38882aa65708"
Date and time of creation
"2025-03-15T12:00:00Z"
Date and time of last update
"2025-03-15T12:00:00Z"
Show child attributes
Show child attributes
Custom shipping details for the order if your account has custom shipping enabled, and you have provided prepaid label details.
Show child attributes
Show child attributes
"b658f16f-819c-4503-aede-bd555fc4ebfb"
External (your own system's) ID associated with the order.
"my-system-128318AA2"
Whether the order is a replacement order
false
Friendlier identifier for the order. Auto-generated.
"ORD250312003548IAU4"
ID of the original order, if this is a replacement order
"0227d1e5-ba9a-42b5-8fe2-38882aa65708"
Show child attributes
Show child attributes
Number of prescriptions associated with the order (expected to be the same as the number of prescription products in the products object)
1
Whether the order has a priority request
false
Whether the customer has requested cancellation for an order in picked or verified status
false
IDs of any replacement orders, if they have been created from this order
If this is a replacement order, reason for the replacement
"Product arrived damaged"
Whether the order has a replacement request. This field is deprecated and will be removed in a future version. Please use replacement_request_status instead.
false
Status of the replacement request
pending, fulfilled, declined, cancelled "pending"
Date and time a replacement request was made
"2025-01-01T00:00:00Z"
Reason for the replacement request
"Product arrived damaged"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Order status. One of received, picked, verified, exception, paused, shipped, delivered, cancelled, returned.
"received"
When an order is paused, midnight UTC of the pause-until calendar day. The order automatically unpauses when this date is reached. null when the pause is indefinite or the order is not paused.
"2026-08-07T00:00:00"